cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
150
Views
0
Helpful
3
Replies
Highlighted
Contributor

4503 Sup7 Switch with VSS Upgrade Path

Hello,

 

we have two 4503 switches with Sup 7L-E Supervisor Enginges running in VSS mode. The current installed firmware is quite old (03.04.06.SG). Now I am checking the compatibility matrix and it is not clear to me how I can upgrade to the latest suggested Release which is 3.11.3aE. With 03.04.06.SG they tell me I can upgrade to 03.04.08.SG, but what's next? There is also a note saying something like I cannot use newer firmwares than 03.05.xx.E releases with VSS and ISSU. Does that also mean that I cannot use VSS at all with any newer releases?

 

2021-01-18 15_23_54-Window.jpg

2 ACCEPTED SOLUTIONS

Accepted Solutions
Highlighted
Hall of Fame Master

Hello @Rene Mueller ,

my understanding is the following from the snapshot you have provided:

you can use ISSU ( in service software upgrade) in VSS only when going to 03.04.x or 03.05.0x version.

This does not mean that VSS is not supported on newer versions, simply that the upgrade will have an impact as ISSU is not possible.

 

ISSU is just a way to perform upgrades with zero downtime but of course it is valid only for versions that are near to your current one.

Low level firmware upgrade on higher version may make ISSU not possible from your starting release.

 

You will need an extended maintenance time and likely multiple upgrades to reach the target release.

Verify also on the release notes all the ROMMON version requirements.

 

Hope to help

Giuseppe

 

View solution in original post

Highlighted
Hall of Fame Community Legend

The chassis is loaded with 3.4.X and you're planning to go to 3.11.X. 

Most Important QuestionDid anyone take the time to read the Release Notes?

IMPORTANT:  

Do not believe in the hype -- ISSU &/or FSU/eFSU rarely works outside in a lab environment.  If it does not work, it is a very long and lonely drive to the site.

Upgrading the ROMMON and the firmware of a VSS pair is very easy.  Procedure can be found HERE.

View solution in original post

3 REPLIES 3
Highlighted
Hall of Fame Master

Hello @Rene Mueller ,

my understanding is the following from the snapshot you have provided:

you can use ISSU ( in service software upgrade) in VSS only when going to 03.04.x or 03.05.0x version.

This does not mean that VSS is not supported on newer versions, simply that the upgrade will have an impact as ISSU is not possible.

 

ISSU is just a way to perform upgrades with zero downtime but of course it is valid only for versions that are near to your current one.

Low level firmware upgrade on higher version may make ISSU not possible from your starting release.

 

You will need an extended maintenance time and likely multiple upgrades to reach the target release.

Verify also on the release notes all the ROMMON version requirements.

 

Hope to help

Giuseppe

 

View solution in original post

Highlighted

Hello Giuseppe,

 

thanks for your quick answer! One more question, do you know the difference between SG and E releases?

 

 

René

Highlighted
Hall of Fame Community Legend

The chassis is loaded with 3.4.X and you're planning to go to 3.11.X. 

Most Important QuestionDid anyone take the time to read the Release Notes?

IMPORTANT:  

Do not believe in the hype -- ISSU &/or FSU/eFSU rarely works outside in a lab environment.  If it does not work, it is a very long and lonely drive to the site.

Upgrading the ROMMON and the firmware of a VSS pair is very easy.  Procedure can be found HERE.

View solution in original post

Content for Community-Ad